/*
 * TextProblem.java
 */

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class TextProblem extends JFrame 
{
  
  static JButton textButton = new JButton();
  public static void main(String args[]) 
  {
    // construct frame
    new TextProblem().show();
  }

  public TextProblem() 
  {
    // frame constructor
    setTitle("Text Problem");
    addWindowListener(new WindowAdapter() 
    {
      public void windowClosing(WindowEvent e) 
      {
        exitForm(e);
      }
    });
    getContentPane().setLayout(new GridBagLayout());

    // add button and method listener
    GridBagConstraints gridConstraints = new GridBagConstraints();
    textButton.setText("Text 1");
    gridConstraints.gridx = 0;
    gridConstraints.gridy = 0;
    getContentPane().add(textButton, gridConstraints);
    textButton.addActionListener(new ActionListener() 
    {
      public void actionPerformed(ActionEvent e) 
      {
        textButtonActionPerformed(e);
      }
    });
    
    pack();
    
  }
  
  private void textButtonActionPerformed(ActionEvent e)
  {
    // change text information
    textButton.setText("Text 2");
  }
  private void exitForm(WindowEvent e) 
  {
    System.exit(0);
  }
}
